@echo off
rem
rem alias-cid.bat - alias CID|TrueType font to CID-keyed font
rem
rem Copyright (C) 2000-2002 Taiji Yamada <taiji@aihara.co.jp>
rem Copyright (C) 2001 gs-cjk project. All rights reserved.
rem This software is provided under the BSD license. For full details,
rem please see COPYING file.
rem
rem Requirements:
rem	alias-cid.ps
rem	aliascid.ps
rem	ttcf2cid.ps
rem	ghostscript 6.53 or ghostscript 7.05
rem
rem References:
rem
rem [1] http://www.gyve.org/gs-cjk/supplement/
rem
setlocal

set RO=Adobe-Identity
if "%~n0"=="alias-cid" set RO=Adobe-Identity
if "%~n0"=="alias-ac1" set RO=Adobe-CNS1
if "%~n0"=="alias-ag1" set RO=Adobe-GB1
if "%~n0"=="alias-aj1" set RO=Adobe-Japan1
if "%~n0"=="alias-aj2" set RO=Adobe-Japan2
if "%~n0"=="alias-ak1" set RO=Adobe-Korea1

set prefix=C:\gs\gs7.05
set tmp_txt=tmp.txt
set gs=%prefix%\bin\gswin32c.exe
set gsflags=-dNODISPLAY -dBATCH -soutputdir== -sOUTPUTDIR== -dCOMPOSE -sRO=%RO%
rem set gsflags=-dNODISPLAY -dBATCH -soutputdir== -sOUTPUTDIR==

rem ########################################################################
rem Create Font and CIDFont directories in gs Resource directory
rem ########################################################################

echo pssystemparams /FontResourceDir get = | %gs% -q -dNODISPLAY -dNOPAUSE -dBATCH - > %tmp_txt%
for /F %%a in (%tmp_txt%) do set FontResourceDir=%%a
if not exist %FontResourceDir% mkdir %FontResourceDir%

echo pssystemparams /GenericResourceDir get = | %gs% -q -dNODISPLAY -dNOPAUSE -dBATCH - > %tmp_txt%
for /F %%a in (%tmp_txt%) do set GenericResourceDir=%%a
if not exist %GenericResourceDir%\CIDFont mkdir %GenericResourceDir%\CIDFont

if exist %tmp_txt% del %tmp_txt%

rem ########################################################################
rem Create CIDFont/* and Font/* with aliascid.ps and ttcf2cid.ps
rem ########################################################################

%gs% %gsflags% -- alias-cid.ps %*

endlocal
