#!/bin/sh
#
# alias-cid.sh - alias CID|TrueType font to CID-keyed font
#
# Copyright (C) 2000-2002 Taiji Yamada <taiji@aihara.co.jp>
# Copyright (C) 2001 gs-cjk project. All rights reserved.
# This software is provided under the BSD license. For full details,
# please see COPYING file.
#
# Requirements:
#	alias-cid.ps
#	aliascid.ps
#	ttcf2cid.ps
#	ghostscript 6.53 or ghostscript 7.05
#
# References:
#
# [1] http://www.gyve.org/gs-cjk/supplement/
#

RO=Adobe-Identity
case `basename $0 .sh` in
alias-cid) RO=Adobe-Identity	;;
alias-ac1) RO=Adobe-CNS1	;;
alias-ag1) RO=Adobe-GB1		;;
alias-aj1) RO=Adobe-Japan1	;;
alias-aj2) RO=Adobe-Japan2	;;
alias-ak1) RO=Adobe-Korea1	;;
esac

gs=gs
gsflags="-dNODISPLAY -dBATCH -soutputdir== -sOUTPUTDIR== -dCOMPOSE -sRO=$RO"
#gsflags="-dNODISPLAY -dBATCH -soutputdir== -sOUTPUTDIR=="

# ########################################################################
# Create Font and CIDFont directories in gs Resource directory
# ########################################################################

FontResourceDir=`echo pssystemparams /FontResourceDir get = | $gs -q -dNODISPLAY -dNOPAUSE -dBATCH -`
[ ! -d $FontResourceDir ] && mkdir $FontResourceDir

GenericResourceDir=`echo pssystemparams /GenericResourceDir get = | $gs -q -dNODISPLAY -dNOPAUSE -dBATCH -`
[ ! -d $GenericResourceDir/CIDFont ] && mkdir $GenericResourceDir/CIDFont

# ########################################################################
# Create CIDFont/* and Font/* with aliascid.ps and ttcf2cid.ps
# ########################################################################

$gs $gsflags -- alias-cid.ps $@
